var delay, purify,
  __hasProp = {}.hasOwnProperty;

purify = function(obj) {
  var key, ret, val;
  if (typeof obj !== 'object') {
    return obj;
  }
  ret = {};
  for (key in obj) {
    if (!__hasProp.call(obj, key)) continue;
    val = obj[key];
    if (key === 'prev' || key === 'next' || key === 'parent' || key === 'attribs' || key === 'length') {
      continue;
    }
    if (val instanceof Function) {
      continue;
    }
    ret[key] = purify(val);
  }
  return ret;
};

global.inspectDom = function(obj) {
  return inspect(purify(obj));
};

global.inspect = require('eyespect').inspector({
  pretty: true,
  maxLength: 10200
});

delay = require('when/delay');

global.after = function(ms, cb) {
  return delay(ms).then(function() {
    return cb();
  });
};
