var TestRunner, path, pathToLib, tests;

path = require('path');

pathToLib = '';

global.mod = function(p) {
  return require(path.resolve(pathToLib, p));
};

TestRunner = require('./TestRunner');

tests = new TestRunner;

global.test = global.it = tests.test.bind(tests);

global.test.skip = global._test = global._it = tests.skip.bind(tests);

global.describe = tests.describe.bind(tests);

require('./assertions');

require('./helpers');

process.on('exit', function() {
  tests.checkDone();
  return console.log("\n\n");
});

module.exports = function(p, usePrettyError) {
  var PrettyError, dirname, errorReporter, unixifiedPathToLib, unixifiedPathToTests;
  if (usePrettyError == null) {
    usePrettyError = true;
  }
  pathToLib = p;
  if (usePrettyError) {
    PrettyError = require('pretty-error');
    errorReporter = new PrettyError;
    errorReporter.appendStyle({
      'pretty-error': {
        marginLeft: 7
      }
    });
    tests.setErrorReporter(function(error) {
      return errorReporter.render(error, true);
    });
    unixifiedPathToLib = pathToLib.replace(/[\\]+/g, '/');
    dirname = path.dirname(module.filename).replace(/[\\]+/g, '/');
    unixifiedPathToTests = path.dirname(module.parent.id).replace(/[\\]+/g, '/');
    errorReporter.skipNodeFiles().skipPackage('when', 'little-popo', 'chai').alias(unixifiedPathToLib, '(lib)').alias(unixifiedPathToTests, '(test)').skip(function(line) {
      if (((line != null ? line.dir : void 0) != null) && line.dir === dirname) {
        return true;
      }
    });
    require('pretty-monitor').start(100, errorReporter);
    return errorReporter;
  }
};
